import random, gamethread, es, cfglib

info = es.AddonInfo() 
info.name     = "SimpleDissolvent" 
info.version  = "1.3" 
info.url      = "http://addons.eventscripts.com/addons/view/simpledissolvent" 
info.basename = "simpledissolvent" 
info.author   = "3R10N" 
es.ServerVar('simp_dissolvent', info.version, 'Simplistic body dissolvent').makepublic() 

config = cfglib.AddonCFG(es.getAddonPath(info.basename) + '/' + info.basename + '.cfg')
config.text('SimpleDissolvent Settings')
config.text('')
simp_dissolvent_method  = config.cvar('simp_dissolvent_method',  4, '0 | Energy Effect, 1 | Heavy Electrical, 2 | Light Electrical 3 | Core Effect, 4 | Random Effect')
simp_wait_time  = config.cvar('simp_wait_time',  0.01, 'How long to wait to dissolve the players body')
config.write()

def load():
    config.execute()

def player_death(ev): 
    simp_uid = int(ev['userid']) 
    dissolve(simp_uid)
	
def dissolve(simp_uid):
    simp_wait_temp = simp_wait_time + 0.05
    es.server.queuecmd('es_give %s env_entity_dissolver'% simp_uid)
    es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "target cs_ragdoll"'% simp_uid)
    es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "magnitude 1"'% simp_uid)
    if simp_dissolvent_method == 4:
            es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"' % (simp_uid, random.randint(0, 3)))
    else:
            es.server.queuecmd('es_xfire %s env_entity_dissolver AddOutput "dissolvetype %s"' % (simp_uid, simp_dissolvent_method))		
    es.server.queuecmd('es_xfire %s env_entity_dissolver Dissolve'% simp_uid)
    gamethread.delayed(simp_wait_temp, es.server.queuecmd, 'es_xremove env_entity_dissolver')